GET /user-tenant-list

GET /user-tenant-list

/user-tenant-list

Request
URI
GET
https://{api_host}/api/user-tenant-list
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserTenantListResponse of type(s) application/json
{
    "tenants": [
        {
            "_last_modified": "string",
            "attrs": [
                {
                    "key": "string",
                    "value": "string"
                }
            ],
            "config_settings": {
                "app_quota": {
                    "vs_limit": 0
                },
                "enable_tenant_binding": false,
                "license_quota": {
                    "limit": 0,
                    "reservation": 0
                },
                "se_in_provider_context": false,
                "tenant_access_to_provider_se": false,
                "tenant_vrf": false
            },
            "created_by": "string",
            "description": "string",
            "enforce_label_group": false,
            "label_group_refs": [
                "string"
            ],
            "local": false,
            "name": "string",
            "url": "string",
            "uuid": "string"
        }
    ],
    "user": {
        "default_tenant_ref": "string",
        "email": "string",
        "full_name": "string",
        "is_superuser": false,
        "local": false,
        "name": "string",
        "ui_property": "string",
        "username": "string",
        "uuid": "string"
    }
}
array of object
tenants
Optional

Every tenant the caller has access to. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
user
Optional

user


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/user-tenant-list